Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jdesktop.swingx.search
Interface Searchable

All Known Implementing Classes:
  AbstractSearchable, JXEditorPane.DocumentSearchable, ListSearchable, TableSearchable, TreeSearchable

    public interface Searchable

Interface that used to implement search logic in all the search capable components.

Author:
  Ramesh Gupta

Method Summary
`int` | `search(java.util.regex.Pattern pattern)` Search for the pattern from the beginning of the document.
`int` | `search(java.util.regex.Pattern pattern, int startIndex)` Search for the pattern from the start index.
`int` | `search(java.util.regex.Pattern pattern, int startIndex, boolean backward)` Search for the pattern from the start index.
`int` | `search(java.lang.String searchString)` Search `searchString` from the beginning of a document.
`int` | `search(java.lang.String searchString, int startIndex)` Search `searchString` from the given position in a document.
`int` | `search(java.lang.String searchString, int startIndex, boolean backward)` Search `searchString` in the given direction from the some position in a document.

Method Detail

### search

    int search(java.lang.String searchString)

  Search `searchString` from the beginning of a document.

  Parameters:
    `searchString` - `String` we should find in a document.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### search

    int search(java.lang.String searchString,
               int startIndex)

  Search `searchString` from the given position in a document.

  Parameters:
    `searchString` - `String` we should find in a document.
    `startIndex` - Start position in a document or -1 if we want to search from the beginning.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### search

    int search(java.lang.String searchString,
               int startIndex,
               boolean backward)

  Search `searchString` in the given direction from the some position in a document.

  Parameters:
    `searchString` - `String` we should find in a document.
    `startIndex` - Start position in a document or -1 if we want to search from the beginning.
    `backward` - Indicates search direction, will search from the given position towards the beginning of a document if this parameter is `true`.
  Returns:
    index of matched `String` or -1 if a match cannot be found.

### search

    int search(java.util.regex.Pattern pattern)

  Search for the pattern from the beginning of the document.

  Parameters:
    `pattern` - Pattern for search
  Returns:
    index of matched `Pattern` or -1 if a match cannot be found.

### search

    int search(java.util.regex.Pattern pattern,
               int startIndex)

  Search for the pattern from the start index.

  Parameters:
    `pattern` - Pattern for search
    `startIndex` - starting index of search. If -1 then start from the beginning
  Returns:
    index of matched pattern or -1 if a match cannot be found.

### search

    int search(java.util.regex.Pattern pattern,
               int startIndex,
               boolean backward)

  Search for the pattern from the start index.

  Parameters:
    `pattern` - Pattern for search
    `startIndex` - starting index of search. If -1 then start from the beginning
    `backward` - indicates the direction if true then search is backwards
  Returns:
    index of matched pattern or -1 if a match cannot be found.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010. All Rights Reserved.